function Product(options) {
	var View = require('/ui/common/views/View');
	View.call(this);
	if ( typeof Product.initialized == "undefined") {
		for (var element in View.prototype ) {
			Product.prototype[element] = View.prototype[element]
		}
		Product.initialized = true;
	}

	this.options = options;

	//Rows
	this.rows = new Array();

	//Row Button
	this.rowButton = Ti.UI.createTableViewRow({
		result : false,
		hasChild : false,
		backgroundColor : this.getDTC().colors.red,
		options : options,
	});
	
	var buttonMenu = Titanium.UI.createImageView(this.getStyleOf("button", "menu"));
	buttonMenu.setImage(this.getDTC().images[options.name].read());
	var label = Titanium.UI.createLabel(this.getStyleOf("title", "menu"));
	label.setText(this.getDTC().lang[options.name]);
	var subLabel = Titanium.UI.createLabel(this.getStyleOf("title", "subMenu"));
	subLabel.setText(this.getDTC().lang["howto_" + options.name]);

	this.view = Ti.UI.createView();
	this.view.add(buttonMenu);
	this.view.add(label);
	this.view.add(subLabel);
	this.rowButton.add(this.view);

	//Row Result
	this.rowResult = Ti.UI.createTableViewRow({
		result : true,
		hasChild : false,
		backgroundColor : this.getDTC().colors.white,
		borderWidth : 0,
		height : 0,
		visible : false,
		options : options,
	});

	//Service
	var Service = require('/ui/common/services/Service_' + options.name);
	options.result = this.rowResult;

	this.service = new Service(options);
	options.service = this.service;
	
	this.rows[0] = this.rowButton;
	this.rows[1] = this.rowResult;

	this.rowResult.add(Ti.UI.createView());

	//Adding two listeners
	var that = this;
	this.view.addEventListener('click', function(e) {
		that.executeRequest(options);
	});
	
	//If the Product was visible and open, we re-open it
	if (Ti.App.Properties.getBool(options.name) != null) {
		if (Ti.App.Properties.getBool(options.name)) {
			if (Ti.App.Properties.getBool(options.name + 'V') != null) {
				Ti.API.debug(options.name + " was open " + Ti.App.Properties.getBool(options.name + 'V'));
				if (Ti.App.Properties.getBool(options.name + 'V')) {
					Ti.API.debug(options.name + " reexecute request");
					//that.executeRequest(options);
				}
			}
		}
	}

	return this;
}

Product.prototype.executeRequest = function() {
	if (this.options.header.tfDomain.value != "") {
		Ti.App.fireEvent('blur', null);
		this.options.masterView.domainInvalid = false;
		this.service.notify(this.options);
	} else {
		alert(this.getDTC().lang.noDomain);
	}
}

module.exports = Product;
