Service = require('/ui/common/services/Service');

function ServiceScreenshots(options) {
	Service.call(this, options);
	return this;
}

Ti.App.Utils.inherit(ServiceScreenshots, Service);

ServiceScreenshots.prototype.executeRequest = function() {
	var domain = this.getDomain(this.options.header.tfDomain.value);
	var imageName = domain.replace(/\./g,'-');
	var small_screenshot_url = Ti.App.Config.getScreenshotUrl() + domain + '/' + imageName + '-small.jpg' + '?uuid=' + Titanium.Platform.id;
	var large_screenshot_url = Ti.App.Config.getScreenshotUrl() + domain + '/' + imageName + '-large.jpg' + '?uuid=' + Titanium.Platform.id;;
	this.sendRequest(small_screenshot_url, large_screenshot_url);
}

ServiceScreenshots.prototype.sendRequest = function(small_screenshot_url, large_screenshot_url) {
	this.load(small_screenshot_url, large_screenshot_url);
	this.resultAvailable = true;
}

ServiceScreenshots.prototype.load = function(small_screenshot_url, large_screenshot_url) {
	this.results.init();
	this.results.addScreenshot(small_screenshot_url, large_screenshot_url);
	this.results.show();
}

module.exports = ServiceScreenshots; 