var Service = require('/ui/common/services/Service');
var Utils = require('/ui/common/lib/Utils');
var Signer = require('/ui/common/lib/Signer');

function ServiceWhois(options) {
	var Service = require('/ui/common/services/Service');
	Service.call(this, options);
	return this;
}

Utils.inherit(ServiceWhois, Service);

ServiceWhois.prototype.executeRequest = function(){
	var domain = this.getDomain(this.options.header.tfDomain.value);
	//The .co.uk TLD need a live Whois
	Ti.API.debug("domain.substring(domain.length-6),6) "+domain.substring(domain.length-6));
	if((domain.substring(domain.length-3)) == '.uk')
		var uri = '/v1/'+domain+'/whois/live';
	else
		var uri = '/v1/'+domain+'/whois';
	var url = Signer.getURL(uri);
	this.sendRequest(url,Ti.App.Config.getTimeoutLiveWhois());
}

ServiceWhois.prototype.load = function(){
	this.results.init();
	Ti.API.debug("Whois Record "+this.getFirstNodeText('record'));
	this.results.addBlock('record', this.getFirstNodeText('record'));
	this.results.show();
}

module.exports = ServiceWhois;