var View = require('/ui/common/views/View');
var Utils = require('/ui/common/lib/Utils');
Utils.inherit(ResultView, View);

function ResultView(options) {
	this.options = options;
	this.init();
	this.empty = true;
	return this;
}

ResultView.prototype.init = function() {
	this.top = 0;
	this.firstShow = true;
	this.view = Ti.UI.createView({
		top : 0,
	});
}

ResultView.prototype.addElement = function(container, style) {
	container.setTop(this.top);
	this.view.add(container);
	this.addBreak();
	this.empty = false;
	//If the label is too long, we need to add a break
	if (Utils.isDefined(style.text)) {
		if (style.text.length > this.getDTC().sizes.max_string_length) {
			var size = style.text.length;
			while (size > this.getDTC().sizes.max_string_length) {
				this.addBreak();
				size -= this.getDTC().sizes.max_string_length;
			}
		}
	}
}

ResultView.prototype.hide = function() {
	//Set the cookie visible to true for this Product
	if(Utils.isDefined(this.row)) this.row.height = 0;
	this.options.masterView.hideActivityIndicator();
	this.options.visible = false;
}

ResultView.prototype.show = function() {
	if (!this.empty) {
		if(this.firstShow){
			this.addMarginBottom();
			this.firstShow = false;
		}
		this.row = Ti.UI.createTableViewRow({
			backgroundColor : this.getDTC().colors.white,
			options : this.options,
			result : true,
		});
		this.row.add(this.view);
		var that = this;
		setTimeout(function() {
			that.options.tableView.updateRow((that.options.position * 2) + 1, that.row);
			that.options.masterView.hideActivityIndicator();
			that.options.visible = true;
		}, 1000);
	}
}

ResultView.prototype.addMarginBottom = function() {
	this.addBreak();
	var viewMarginBottom = Ti.UI.createView({
		top : this.top,
		height : this.getDTC().sizes.resultsMargin,
	});
	this.view.add(viewMarginBottom);
}

ResultView.prototype.isResultVisible = function() {
	return this.resultVisible;
}

module.exports = ResultView;
