function Header() {
	var View = require('/ui/common/views/View');
	View.call(this);
	if ( typeof Header.initialized == "undefined") {
		for (var element in View.prototype ) {
			Header.prototype[element] = View.prototype[element]
		}
		Header.initialized = true;
	}
	this.viewHeader = Ti.UI.createView({
		top : 0,
		backgroundColor : this.getDTC().colors.grey,
		height : this.getDTC().sizes.headerHeight,
	});

	var viewSearchDomain = Ti.UI.createView({
		top : parseInt(this.getDTC().sizes.logoHeight) + parseInt(this.getDTC().sizes.logoMargin) * 2,
		backgroundColor : this.getDTC().colors.blue,
		height : 'auto'
	});

	var logo = Ti.UI.createImageView({
		image : this.getDTC().images.logo,
		top : this.getDTC().sizes.logoMargin,
		height : this.getDTC().sizes.logoHeight,
	});

	logo.addEventListener('click', function() {
		Titanium.Platform.openURL("http://www.domaintools.com");
	});
	//Beware, the Motorola Atrix send focus event infinitely
	//So we set softKeyboardOnFocus on hide to hide the keyboard when the app start
	this.tfDomain = Titanium.UI.createTextField({
		value : 'domaintools.com',
		color : this.getDTC().colors.black,
		hintText : this.getDTC().lang.hintTextFieldDomain,
		height : this.getDTC().sizes.headerTfHeight,
		top : this.getDTC().sizes.headerTfTop,
		left : this.getDTC().sizes.headerTfMargin,
		right : this.getDTC().sizes.headerTfMargin,
		borderWidth : 1,
		softKeyboardOnFocus : Titanium.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS, //if we set SHOW_ON_FOCUS, the keyboard is displayed even if the TF is not focus
		keyboardType : Titanium.UI.KEYBOARD_URL,
	});
	var firstBlur = true;
	//We only set SHOW_ON_FOCUS on click
	var that = this;
	this.tfDomain.addEventListener('click', function(e) {
		that.tfDomain.softKeyboardOnFocus = Titanium.UI.Android.SOFT_KEYBOARD_SHOW_ON_FOCUS;
		that.tfDomain.focus();
		firstBlur = true;
	});
	//To avoid a loop, i add the firstBlur variable
	Ti.App.addEventListener('blur', function(e) {
		that.tfDomain.softKeyboardOnFocus = Titanium.UI.Android.SOFT_KEYBOARD_HIDE_ON_FOCUS;
		if (firstBlur) {
			firstBlur = false;
			that.tfDomain.blur();
		}
	});
	//At the start of the app, we detect when the Textfield is show to blur the keyboard
	var blured = false;
	this.viewHeader.addEventListener('postlayout', function(e) {
		if(!blured){
			blured = true;
			Ti.API.debug("blur");
			Ti.App.fireEvent('blur', null);
			that.tfDomain.blur();
		}
	});
	if (Ti.App.Properties.getString('domain') != null) {
		this.tfDomain.setValue(Ti.App.Properties.getString('domain'));
	}
	//On Android we cannot set a max length on the textfield.
	//So we check for each change if the value is not too big
	this.viewHeader.addEventListener('change', function(e) {
		if (e.source.value.length > 100) {
			e.source.value = e.source.value.substr(0, 100);
		}
		Ti.App.Properties.setString('domain', e.source.value);
	});
	var erase = Ti.UI.createImageView({
		image : this.getDTC().images.erase,
		top : this.getDTC().sizes.headerEraseTop,
		right : this.getDTC().sizes.headerEraseRight,
		height : this.getDTC().sizes.headerEraseSize,
		width : this.getDTC().sizes.headerEraseSize,
	});

	erase.addEventListener('click', function(e) {
		that.tfDomain.value = "";
	});
	viewSearchDomain.add(this.tfDomain);
	viewSearchDomain.add(erase);
	this.viewHeader.add(logo);
	this.viewHeader.add(viewSearchDomain);
	return this;
}

module.exports = Header;
