function PresentationView() {
	var View = require('/ui/common/views/View');
	View.call(this);
	if ( typeof PresentationView.initialized == "undefined") {
		for (var element in View.prototype )
		PresentationView.prototype[element] = View.prototype[element]
		PresentationView.initialized = true;
	}
	var isResize = false;
	var clickToClose = true;
	this.viewPresentationView = Ti.UI.createView({
		borderRadius : 10,
		borderColor : this.getDTC().colors.blue,
		borderWidth : 3,
		top : this.getDTC().sizes.presentationViewTop,
		bottom : this.getDTC().sizes.presentationViewBottom,
		left : this.getDTC().sizes.presentationViewLeft,
		right : this.getDTC().sizes.presentationViewRight,
		backgroundColor : this.getDTC().colors.white,
		visible : false,
	});

	var labelPresentation = Titanium.UI.createLabel({
		height : 'auto',
		width : 'auto',
		text : this.getDTC().lang.presentation,
		top : 5,
		left : 10,
		color : this.getDTC().colors.blue,
		font : {
			fontSize : this.getDTC().sizes.labelH2
		},
	});

	var labelPresentationText = Titanium.UI.createLabel({
		text : this.getDTC().lang.presentationText,
		top : this.getDTC().sizes.presentationTextTop,
		left : 10,
		right : 10,
		height : 'auto',
		color : this.getDTC().colors.black,
		font : {
			fontSize : this.getDTC().sizes.labelH5,
		},
		textAlign : "left"
	});
	
	var labelAboutUs = Titanium.UI.createLabel({
		height : 'auto',
		width : 'auto',
		text : this.getDTC().lang.about_us,
		left : 10,
		color : this.getDTC().colors.blue,
		font : {
			fontSize : this.getDTC().sizes.labelH2
		},
	});

	var labelPresentationText2 = Titanium.UI.createLabel({
		text : this.getDTC().lang.presentationText2,
		left : 10,
		right : 10,
		height : 'auto',
		color : this.getDTC().colors.black,
		font : {
			fontSize : this.getDTC().sizes.labelH5,
		},
		textAlign : "left"
	});

	var labelPresentationEmail = Titanium.UI.createLabel({
		html : '<u>'+this.getDTC().lang.presentationEmail+'</u>',
		left : 10,
		height : 'auto',
		color : this.getDTC().colors.blue,
		font : {
			fontSize : this.getDTC().sizes.labelH5,
			fontWeight : 'bold',
		},
		textAlign : "left",
	});
	var that = this;
	labelPresentationEmail.addEventListener('click', function(e) {
		
		Titanium.Platform.openURL(that.getDTC().lang.presentationEmail);
		var emailDialog = Titanium.UI.createEmailDialog()
		emailDialog.toRecipients = [that.getDTC().lang.presentationEmail];
		emailDialog.open();
		//We can't stop event propagation in Titanium
		//So we have to test if the click is on the link or not
		clickToClose = false;
		setTimeout(function(){
			clickToClose = true;
		},1000);
	});

	var button = Titanium.UI.createButton({
		title : this.getDTC().lang.close,
		bottom : this.getDTC().sizes.presentationCloseBottom,
		width : this.getDTC().sizes.presentationCloseWidth,
		height : this.getDTC().sizes.presentationCloseHeight,
	});

	var labelPresentationSwitch = Titanium.UI.createLabel({
		right : this.getDTC().sizes.labelPresentationSwitchRight,
		text : this.getDTC().lang.presentationSwitch,
		bottom : this.getDTC().sizes.labelPresentationSwitchBottom,
		color : this.getDTC().colors.black,
		font : {
			fontSize : this.getDTC().sizes.labelH5,
		},
		textAlign : "right"
	});

	var switchPresentation = Titanium.UI.createSwitch({
		right : this.getDTC().sizes.presentationSwitchRight,
		bottom : this.getDTC().sizes.presentationSwitchBottom,
	});

	if (Ti.App.Properties.getBool('presentationTexts') || Ti.App.Properties.getBool('presentationTexts') == null) {
		switchPresentation.setValue('true');
	}

	this.viewPresentationView.addEventListener('click', function(e) {
		setTimeout(function(){
			if(clickToClose) that.viewPresentationView.setVisible(false);
		},500);
	});
	
	this.viewPresentationView.add(labelPresentation);
	this.viewPresentationView.add(labelPresentationText);
	this.viewPresentationView.add(labelAboutUs);
	this.viewPresentationView.add(labelPresentationText2);
	this.viewPresentationView.add(labelPresentationEmail);
	this.viewPresentationView.add(labelPresentationSwitch);
	this.viewPresentationView.add(switchPresentation);

	var that = this;
	this.viewPresentationView.addEventListener('postlayout', function(e){
		if(!isResize){
			isResize = true;
			labelAboutUs.setTop(labelPresentation.size.height+labelPresentationText.size.height+25);
			labelPresentationText2.setTop(labelPresentation.size.height+labelPresentationText.size.height+labelAboutUs.size.height+25);
			labelPresentationEmail.setTop(labelPresentation.size.height+labelPresentationText.size.height+labelAboutUs.size.height+labelPresentationText2.size.height+25);
			that.viewPresentationView.visible = true;	
		}
	});
	switchPresentation.addEventListener('change', function(e) {
		Ti.App.Properties.setBool('presentationTexts', e.value);
		Ti.App.fireEvent('togglePresentationView', null);
		//We can't stop event propagation in Titanium
		//So we have to test if the click is on the link or not
		clickToClose = false;
		setTimeout(function(){
			clickToClose = true;
		},1000);
	});
	return this;
}

module.exports = PresentationView; 