function SettingsView(masterView) {

	var View = require('/ui/common/views/View');
	View.call(this);
	if ( typeof SettingsView.initialized == "undefined") {
		for (var element in View.prototype ) {
			SettingsView.prototype[element] = View.prototype[element]
		}

		var subWin = Ti.UI.createWindow({
			title : this.getDTC().lang.textSettings,
			backgroundColor : this.getDTC().colors.black,
		});

		var table = Titanium.UI.createTableView();

		//Presentation Window
		var labelPresentation = Titanium.UI.createLabel({
			text : this.getDTC().lang.textEnablePresentation,
			left : 5,
			color : this.getDTC().colors.white,
			font : {
				fontSize : this.getDTC().sizes.labelH2
			},
			textAlign : 'left'
		});
		var switchPresentation = Titanium.UI.createSwitch({
			right : 5
		});
		switchPresentation.addEventListener('change', function(e) {
			if (e.value) {
				Ti.App.Properties.setBool('presentationTexts', true);
			} else {
				Ti.App.Properties.setBool('presentationTexts', false);
			}
		});
		Ti.API.debug("Ti.App.Properties.getBool('presentationTexts') "+Ti.App.Properties.getBool('presentationTexts'));
		if (Ti.App.Properties.getBool('presentationTexts') || Ti.App.Properties.getBool('presentationTexts') == null) {
			switchPresentation.setValue(true);
		} else {
			switchPresentation.setValue(false);
		}
		
		Ti.App.addEventListener('togglePresentationView', function(e) {
			Ti.API.debug("togglePresentationView");
			switchPresentation.setValue(!switchPresentation.value);
		});
		
		var switchViewPresentation = Titanium.UI.createView();
		switchViewPresentation.add(labelPresentation);
		switchViewPresentation.add(switchPresentation);
		var rowPresentation = Titanium.UI.createTableViewRow({
			height : this.getDTC().sizes.rowHeight,
		});
		rowPresentation.add(switchViewPresentation);
		table.appendRow(rowPresentation);

		//Default TLD
		Ti.include('/ui/common/config/tlds.js');
		if (Ti.App.Properties.getString('defaultTld') == null) {
			Ti.App.Properties.setString('defaultTld', ".com")
		}
		if (Ti.App.Properties.getInt('defaultTldId') == null) {
			Ti.App.Properties.setInt('defaultTldId', 0)
		}
		var labelTld = Titanium.UI.createLabel({
			text : this.getDTC().lang.tldByDefault,
			left : 5,
			color : this.getDTC().colors.white,
			font : {
				fontSize : this.getDTC().sizes.labelH2
			},
			textAlign : 'left'
		});
		var buttonTld = Titanium.UI.createButton({
			title : '.com',
			right : 5,
			width : this.getDTC().sizes.tldButtonWidth,
			height : this.getDTC().sizes.tldButtonHeight,
		});

		if (Ti.App.Properties.getString('defaultTld') != null) {
			buttonTld.setTitle(Ti.App.Properties.getString('defaultTld'));
		}
		var dialogTld = Titanium.UI.createOptionDialog({
			title : 'Choose a TLD',
			options : tlds,
			selectedIndex : Ti.App.Properties.getInt('defaultTldId'),
		});
		dialogTld.addEventListener('click', function(e) {
			if (e.index >= 0) {
				buttonTld.setTitle(tlds[e.index]);
				dialogTld.selectedIndex = e.index;
				Ti.App.Properties.setString('defaultTld', tlds[e.index])
				Ti.App.Properties.setInt('defaultTldId', e.index)
			}
		});
		buttonTld.addEventListener('click', function(e) {
			dialogTld.show();
		});
		var viewTld = Titanium.UI.createView();
		viewTld.add(labelTld);
		viewTld.add(buttonTld);
		var rowTld = Titanium.UI.createTableViewRow();
		rowTld.add(viewTld);
		table.appendRow(rowTld);

		//Services Manager
		var labelServicesManager = Titanium.UI.createLabel({
			text : this.getDTC().lang.servicesManager,
			left : 5,
			color : this.getDTC().colors.white,
			font : {
				fontSize : this.getDTC().sizes.labelH2
			},
			textAlign : 'left'
		});
		var viewServicesManager = Titanium.UI.createView();
		viewServicesManager.add(labelServicesManager);
		var rowServicesManager = Titanium.UI.createTableViewRow({
			hasChild : true,
			rightImage : this.getDTC().images.right,
			width : this.getDTC().sizes.tldButtonWidth,
			height : this.getDTC().sizes.tldButtonHeight,

		});
		rowServicesManager.add(viewServicesManager);

		var ServicesManager = require('/ui/common/views/shared/ServicesManager');
		var servicesManager = new ServicesManager(masterView);
		rowServicesManager.addEventListener('click', function(e) {
			masterView.tab.open(servicesManager);
		});
		table.appendRow(rowServicesManager);

		subWin.add(table);
		SettingsView.initialized = true;

	}
	return subWin;
}

module.exports = SettingsView;
