function ApplicationWindow() {
	var View = require('/ui/common/views/View');
	View.call(this);
	if( typeof ApplicationWindow.initialized == "undefined") {
		for(var element in View.prototype ) {
			ApplicationWindow.prototype[element] = View.prototype[element]
		}
		//declare module dependencies
		var MasterView = require('/ui/common/MasterView');
		var masterView = new MasterView();
		
		//The settingsView openable with the options menu button
		var SettingsView = require('/ui/common/views/shared/Settings');
		var settingsView = new SettingsView(masterView);
		var self = Ti.UI.createWindow({
			title : 'Whois and Domain Profile',
			exitOnClose : true,
			navBarHidden : false,
			backgroundColor : View.prototype.getDTC().colors.grey,
			activity : {
				onPrepareOptionsMenu : function(e) {
					masterView.tab.open(settingsView);
				},
			}
		});

		//create master view container
		self.add(masterView.view);
	}
	return self;
};

module.exports = ApplicationWindow;
